<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../style.css');
        @import url('../../../../../roundedcorners.css');
        @import url('../../../../../tree.css');
            </style>
    
    <script src="../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../help.js" type="text/javascript"></script>
  <title>HttpCore NIO 4.2.3</title>
</head>
<body onload="setBrowserTitle('HttpCore NIO 4.2.3: org.apache.http.nio.integration.testHttpPostsChunked');">

<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="6" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore NIO 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:36:27 CET
                    </div>
                                                <div class="navBar">
                            <span><a href="../../../../../test-pkg-summary.html">Overview</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-pkg-summary.html">Package</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-TestAsyncNHttpHandlers.html">File</a></span>&nbsp;&nbsp;&nbsp;
                            <span class="navBarCurrent">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="TestAsyncNHttpHandlers_testHttpPostsChunked_2.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>

<tr>
    <td class="graphHeaderLeft titleText testHeader">Test</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_total_unique_coverage;">Unique Coverage</label></td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_status;">Status</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Start time</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Time (seconds)</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_message;">Message</label></td>
</tr>
<tr>
    <td class="graphItem alignTop titleText">
        <a  href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers.html?line=244#src-244" >testHttpPostsChunked</a>
    </td>
        <td class="graphPercent alignTop">
        0%
    </td>
        <td class="graphPercent alignTop">
                          <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
              </td>
    <td class="graphPercent alignTop">
        28 Nov 22:36:20
    </td>
    <td class="graphPercent alignTop">
        0.067    </td>
    <td class="graphItemRight alignTop">
        <div class="titleText"></div>
        <div class="errorMessage"></div>
    </td>
</tr>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
</tbody>

<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" style="white-space:nowrap;" onclick="ts_resortTable(this, 'alpha', 0);return false;"><label onkeyup="return help_test_target_class;">Target Class</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" onclick="ts_resortTable(this, 'number', 1);return false;"><label onkeyup="return help_unique_coverage ;">Unique</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" colspan="4" onclick="ts_resortTable(this, 'number', 2);return false;"><label onkeyup="return help_test_contribution;">Coverage contributed by</label> <span class="titleText">testHttpPostsChunked</span>.</td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.SessionHttpContext</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/SessionHttpContext.html?id=2#SessionHttpContext"             title="SessionHttpContext" name="sl-33">org.apache.http.impl.nio.SessionHttpContext</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpRequestWriter</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpRequestWriter.html?id=2#DefaultHttpRequestWriter"             title="DefaultHttpRequestWriter" name="sl-46">org.apache.http.impl.nio.codecs.DefaultHttpRequestWriter</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpResponseWriter</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpResponseWriter.html?id=2#DefaultHttpResponseWriter"             title="DefaultHttpResponseWriter" name="sl-46">org.apache.http.impl.nio.codecs.DefaultHttpResponseWriter</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.DefaultThreadFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html?id=2#AbstractMultiworkerIOReactor.DefaultThreadFactory"             title="AbstractMultiworkerIOReactor.DefaultThreadFactory" name="sl-616">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.DefaultThreadFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.util.HeapByteBufferAllocator</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/util/HeapByteBufferAllocator.html?id=2#HeapByteBufferAllocator"             title="HeapByteBufferAllocator" name="sl-41">org.apache.http.nio.util.HeapByteBufferAllocator</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.SimpleNHttpRequestHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/SimpleNHttpRequestHandler.html?id=2#SimpleNHttpRequestHandler"             title="SimpleNHttpRequestHandler" name="sl-49">org.apache.http.nio.protocol.SimpleNHttpRequestHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.Worker</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html?id=2#AbstractMultiworkerIOReactor.Worker"             title="AbstractMultiworkerIOReactor.Worker" name="sl-589">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.Worker</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.9</span>
            90%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="10% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90% Covered" class="barPositive contribBarPositive" style="width: 90%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.ChannelEntry</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/ChannelEntry.html?id=2#ChannelEntry"             title="ChannelEntry" name="sl-42">org.apache.http.impl.nio.reactor.ChannelEntry</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.9</span>
            90%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="10% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90% Covered" class="barPositive contribBarPositive" style="width: 90%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpRequestParser</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpRequestParser.html?id=2#DefaultHttpRequestParser"             title="DefaultHttpRequestParser" name="sl-56">org.apache.http.impl.nio.codecs.DefaultHttpRequestParser</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.8181818</span>
            81.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="18.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="81.8% Covered" class="barPositive contribBarPositive" style="width: 81.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpResponseParser</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpResponseParser.html?id=2#DefaultHttpResponseParser"             title="DefaultHttpResponseParser" name="sl-56">org.apache.http.impl.nio.codecs.DefaultHttpResponseParser</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.8181818</span>
            81.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="18.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="81.8% Covered" class="barPositive contribBarPositive" style="width: 81.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.AsyncNHttpServiceHandler.ServerConnState</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/AsyncNHttpServiceHandler.html?id=2#AsyncNHttpServiceHandler.ServerConnState"             title="AsyncNHttpServiceHandler.ServerConnState" name="sl-530">org.apache.http.nio.protocol.AsyncNHttpServiceHandler.ServerConnState</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.8032787</span>
            80.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="19.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="80.3% Covered" class="barPositive contribBarPositive" style="width: 80.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.AbstractMessageWriter</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/AbstractMessageWriter.html?id=2#AbstractMessageWriter"             title="AbstractMessageWriter" name="sl-51">org.apache.http.impl.nio.codecs.AbstractMessageWriter</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.76</span>
            76%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="24% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="76% Covered" class="barPositive contribBarPositive" style="width: 76%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.AsyncNHttpClientHandler.ClientConnState</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/AsyncNHttpClientHandler.html?id=2#AsyncNHttpClientHandler.ClientConnState"             title="AsyncNHttpClientHandler.ClientConnState" name="sl-429">org.apache.http.nio.protocol.AsyncNHttpClientHandler.ClientConnState</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.7346939</span>
            73.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="26.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="73.5% Covered" class="barPositive contribBarPositive" style="width: 73.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultNHttpClientConnection</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html?id=2#DefaultNHttpClientConnection"             title="DefaultNHttpClientConnection" name="sl-71">org.apache.http.impl.nio.DefaultNHttpClientConnection</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.7034483</span>
            70.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="29.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="70.3% Covered" class="barPositive contribBarPositive" style="width: 70.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultNHttpServerConnection</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html?id=2#DefaultNHttpServerConnection"             title="DefaultNHttpServerConnection" name="sl-74">org.apache.http.impl.nio.DefaultNHttpServerConnection</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6938776</span>
            69.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="30.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="69.4% Covered" class="barPositive contribBarPositive" style="width: 69.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.AbstractContentEncoder</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/AbstractContentEncoder.html?id=2#AbstractContentEncoder"             title="AbstractContentEncoder" name="sl-45">org.apache.http.impl.nio.codecs.AbstractContentEncoder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6923077</span>
            69.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="30.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="69.2% Covered" class="barPositive contribBarPositive" style="width: 69.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.AbstractContentDecoder</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/AbstractContentDecoder.html?id=2#AbstractContentDecoder"             title="AbstractContentDecoder" name="sl-44">org.apache.http.impl.nio.codecs.AbstractContentDecoder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.68421054</span>
            68.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="31.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="68.4% Covered" class="barPositive contribBarPositive" style="width: 68.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.SessionRequestHandle</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/SessionRequestHandle.html?id=2#SessionRequestHandle"             title="SessionRequestHandle" name="sl-41">org.apache.http.impl.nio.reactor.SessionRequestHandle</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6666667</span>
            66.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="33.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="66.7% Covered" class="barPositive contribBarPositive" style="width: 66.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.AbstractMessageParser</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/AbstractMessageParser.html?id=2#AbstractMessageParser"             title="AbstractMessageParser" name="sl-62">org.apache.http.impl.nio.codecs.AbstractMessageParser</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6636364</span>
            66.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="33.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="66.4% Covered" class="barPositive contribBarPositive" style="width: 66.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.SessionOutputBufferImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/SessionOutputBufferImpl.html?id=2#SessionOutputBufferImpl"             title="SessionOutputBufferImpl" name="sl-63">org.apache.http.impl.nio.reactor.SessionOutputBufferImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.63793105</span>
            63.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.8% Covered" class="barPositive contribBarPositive" style="width: 63.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.SessionInputBufferImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/SessionInputBufferImpl.html?id=2#SessionInputBufferImpl"             title="SessionInputBufferImpl" name="sl-63">org.apache.http.impl.nio.reactor.SessionInputBufferImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.61538464</span>
            61.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="38.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="61.5% Covered" class="barPositive contribBarPositive" style="width: 61.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.ChunkDecoder</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/ChunkDecoder.html?id=2#ChunkDecoder"             title="ChunkDecoder" name="sl-54">org.apache.http.impl.nio.codecs.ChunkDecoder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6089386</span>
            60.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="39.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="60.9% Covered" class="barPositive contribBarPositive" style="width: 60.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.util.ExpandableBuffer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/util/ExpandableBuffer.html?id=2#ExpandableBuffer"             title="ExpandableBuffer" name="sl-46">org.apache.http.nio.util.ExpandableBuffer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6</span>
            60%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="40% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="60% Covered" class="barPositive contribBarPositive" style="width: 60%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.ChunkEncoder</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/ChunkEncoder.html?id=2#ChunkEncoder"             title="ChunkEncoder" name="sl-47">org.apache.http.impl.nio.codecs.ChunkEncoder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5970149</span>
            59.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="40.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="59.7% Covered" class="barPositive contribBarPositive" style="width: 59.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.util.SimpleInputBuffer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/util/SimpleInputBuffer.html?id=2#SimpleInputBuffer"             title="SimpleInputBuffer" name="sl-42">org.apache.http.nio.util.SimpleInputBuffer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.578125</span>
            57.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="42.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="57.8% Covered" class="barPositive contribBarPositive" style="width: 57.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.entity.ContentInputStream</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/entity/ContentInputStream.html?id=2#ContentInputStream"             title="ContentInputStream" name="sl-43">org.apache.http.nio.entity.ContentInputStream</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.55172414</span>
            55.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="44.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="55.2% Covered" class="barPositive contribBarPositive" style="width: 55.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.entity.NStringEntity</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/entity/NStringEntity.html?id=2#NStringEntity"             title="NStringEntity" name="sl-55">org.apache.http.nio.entity.NStringEntity</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5283019</span>
            52.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="47.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="52.8% Covered" class="barPositive contribBarPositive" style="width: 52.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.NHttpConnectionBase</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html?id=2#NHttpConnectionBase"             title="NHttpConnectionBase" name="sl-93">org.apache.http.impl.nio.NHttpConnectionBase</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4883721</span>
            48.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="51.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="48.8% Covered" class="barPositive contribBarPositive" style="width: 48.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultHttpClientIODispatch</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html?id=2#DefaultHttpClientIODispatch"             title="DefaultHttpClientIODispatch" name="sl-50">org.apache.http.impl.nio.DefaultHttpClientIODispatch</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4864865</span>
            48.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="51.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="48.6% Covered" class="barPositive contribBarPositive" style="width: 48.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.DefaultConnectingIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html?id=2#DefaultConnectingIOReactor"             title="DefaultConnectingIOReactor" name="sl-60">org.apache.http.impl.nio.reactor.DefaultConnectingIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.48630136</span>
            48.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="51.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="48.6% Covered" class="barPositive contribBarPositive" style="width: 48.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultHttpServerIODispatch</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/DefaultHttpServerIODispatch.html?id=2#DefaultHttpServerIODispatch"             title="DefaultHttpServerIODispatch" name="sl-50">org.apache.http.impl.nio.DefaultHttpServerIODispatch</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4722222</span>
            47.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="52.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="47.2% Covered" class="barPositive contribBarPositive" style="width: 47.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.AsyncNHttpClientHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/AsyncNHttpClientHandler.html?id=2#AsyncNHttpClientHandler"             title="AsyncNHttpClientHandler" name="sl-94">org.apache.http.nio.protocol.AsyncNHttpClientHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.46530613</span>
            46.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="53.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="46.5% Covered" class="barPositive contribBarPositive" style="width: 46.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.entity.BufferingNHttpEntity</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/entity/BufferingNHttpEntity.html?id=2#BufferingNHttpEntity"             title="BufferingNHttpEntity" name="sl-56">org.apache.http.nio.entity.BufferingNHttpEntity</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.46153846</span>
            46.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="53.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="46.2% Covered" class="barPositive contribBarPositive" style="width: 46.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.AsyncNHttpServiceHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/AsyncNHttpServiceHandler.html?id=2#AsyncNHttpServiceHandler"             title="AsyncNHttpServiceHandler" name="sl-102">org.apache.http.nio.protocol.AsyncNHttpServiceHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.44067797</span>
            44.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="55.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="44.1% Covered" class="barPositive contribBarPositive" style="width: 44.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.LengthDelimitedDecoder</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/LengthDelimitedDecoder.html?id=2#LengthDelimitedDecoder"             title="LengthDelimitedDecoder" name="sl-55">org.apache.http.impl.nio.codecs.LengthDelimitedDecoder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.375</span>
            37.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="62.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="37.5% Covered" class="barPositive contribBarPositive" style="width: 37.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.AsyncNHttpServiceHandler.ResponseTriggerImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/AsyncNHttpServiceHandler.html?id=2#AsyncNHttpServiceHandler.ResponseTriggerImpl"             title="AsyncNHttpServiceHandler.ResponseTriggerImpl" name="sl-648">org.apache.http.nio.protocol.AsyncNHttpServiceHandler.ResponseTriggerImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.375</span>
            37.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="62.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="37.5% Covered" class="barPositive contribBarPositive" style="width: 37.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.NHttpHandlerBase</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/NHttpHandlerBase.html?id=2#NHttpHandlerBase"             title="NHttpHandlerBase" name="sl-49">org.apache.http.nio.protocol.NHttpHandlerBase</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.375</span>
            37.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="62.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="37.5% Covered" class="barPositive contribBarPositive" style="width: 37.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.DefaultListeningIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/DefaultListeningIOReactor.html?id=2#DefaultListeningIOReactor"             title="DefaultListeningIOReactor" name="sl-59">org.apache.http.impl.nio.reactor.DefaultListeningIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.369863</span>
            37%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="63% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="37% Covered" class="barPositive contribBarPositive" style="width: 37%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.LengthDelimitedEncoder</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/LengthDelimitedEncoder.html?id=2#LengthDelimitedEncoder"             title="LengthDelimitedEncoder" name="sl-54">org.apache.http.impl.nio.codecs.LengthDelimitedEncoder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.36507937</span>
            36.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="63.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="36.5% Covered" class="barPositive contribBarPositive" style="width: 36.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/AbstractIOReactor.html?id=2#AbstractIOReactor"             title="AbstractIOReactor" name="sl-59">org.apache.http.impl.nio.reactor.AbstractIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3533569</span>
            35.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="64.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="35.3% Covered" class="barPositive contribBarPositive" style="width: 35.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.SessionRequestImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/SessionRequestImpl.html?id=2#SessionRequestImpl"             title="SessionRequestImpl" name="sl-46">org.apache.http.impl.nio.reactor.SessionRequestImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.352518</span>
            35.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="64.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="35.3% Covered" class="barPositive contribBarPositive" style="width: 35.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.BaseIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/BaseIOReactor.html?id=2#BaseIOReactor"             title="BaseIOReactor" name="sl-54">org.apache.http.impl.nio.reactor.BaseIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.33333334</span>
            33.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="66.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="33.3% Covered" class="barPositive contribBarPositive" style="width: 33.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.IOSessionImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/IOSessionImpl.html?id=2#IOSessionImpl"             title="IOSessionImpl" name="sl-53">org.apache.http.impl.nio.reactor.IOSessionImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3219512</span>
            32.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="67.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="32.2% Covered" class="barPositive contribBarPositive" style="width: 32.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.ListenerEndpointImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/ListenerEndpointImpl.html?id=2#ListenerEndpointImpl"             title="ListenerEndpointImpl" name="sl-44">org.apache.http.impl.nio.reactor.ListenerEndpointImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3139535</span>
            31.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="68.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="31.4% Covered" class="barPositive contribBarPositive" style="width: 31.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractIODispatch</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html?id=2#AbstractIODispatch"             title="AbstractIODispatch" name="sl-45">org.apache.http.impl.nio.reactor.AbstractIODispatch</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3125</span>
            31.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="68.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="31.2% Covered" class="barPositive contribBarPositive" style="width: 31.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html?id=2#AbstractMultiworkerIOReactor"             title="AbstractMultiworkerIOReactor" name="sl-110">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.21538462</span>
            21.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="78.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="21.5% Covered" class="barPositive contribBarPositive" style="width: 21.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultNHttpClientConnectionFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnectionFactory.html?id=2#DefaultNHttpClientConnectionFactory"             title="DefaultNHttpClientConnectionFactory" name="sl-56">org.apache.http.impl.nio.DefaultNHttpClientConnectionFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.1923077</span>
            19.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="80.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="19.2% Covered" class="barPositive contribBarPositive" style="width: 19.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultNHttpServerConnectionFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnectionFactory.html?id=2#DefaultNHttpServerConnectionFactory"             title="DefaultNHttpServerConnectionFactory" name="sl-56">org.apache.http.impl.nio.DefaultNHttpServerConnectionFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.1923077</span>
            19.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="80.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="19.2% Covered" class="barPositive contribBarPositive" style="width: 19.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.IOReactorConfig</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/IOReactorConfig.html?id=2#IOReactorConfig"             title="IOReactorConfig" name="sl-41">org.apache.http.impl.nio.reactor.IOReactorConfig</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.14285715</span>
            14.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="85.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="14.3% Covered" class="barPositive contribBarPositive" style="width: 14.3%"></div>
    </div>
</div>        </td>
    </tr>
 </tbody>
<tbody>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
<tr><td class="footer" colspan="6">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:36:54 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
